/*
 * Name: Banner Site Widget
 * Developer: Brian Luciano
 * Date: 06/28/2022
 * Version: 2
 */
define(function () {

    var install = function (context) {
        // Get text for banner from widget parameter:
        var BannerText = context.getParameter("BannerText");
        // Get styling for banner from widget parameter:
        var BannerStyle = context.getParameter("BannerStyle");
        // Create new div
        var banner = document.createElement("div");
        // Give div class name of SiteBanner
        banner.className = "SiteBanner";
        // Assign parameter text to div
        banner.innerHTML = BannerText;
        // Add styling
        banner.style.cssText = BannerStyle;
        // Find the first Vinyl element on the page
        const nav = document.getElementById("vinyl");
        // Change height to allow space for banner
        nav.style.setProperty('height', '95%');
        // insert div at the before the Vinyl div
        nav.insertAdjacentElement('beforebegin', banner)
    };
    
    return {
        callbacks: {
            install: install
        }
    };
});